# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`certificate_checker`](#certificate_checker): Configure certificate_checker

### Defined types

* [`certificate_checker::watch`](#certificate_checker--watch): Add certificates to monitor

### Functions

* [`certificate_checker::watched_paths`](#certificate_checker--watched_paths): Extract watched paths from PuppetDB

## Classes

### <a name="certificate_checker"></a>`certificate_checker`

Configure certificate_checker

#### Parameters

The following parameters are available in the `certificate_checker` class:

* [`package_provider`](#-certificate_checker--package_provider)
* [`certificate_checker_path`](#-certificate_checker--certificate_checker_path)
* [`logfile`](#-certificate_checker--logfile)
* [`ensure`](#-certificate_checker--ensure)
* [`ignore_nonexistent`](#-certificate_checker--ignore_nonexistent)
* [`hour`](#-certificate_checker--hour)
* [`minute`](#-certificate_checker--minute)
* [`month`](#-certificate_checker--month)
* [`monthday`](#-certificate_checker--monthday)
* [`weekday`](#-certificate_checker--weekday)
* [`user`](#-certificate_checker--user)
* [`group`](#-certificate_checker--group)

##### <a name="-certificate_checker--package_provider"></a>`package_provider`

Data type: `Enum['gem', 'puppet_gem']`



##### <a name="-certificate_checker--certificate_checker_path"></a>`certificate_checker_path`

Data type: `String`



##### <a name="-certificate_checker--logfile"></a>`logfile`

Data type: `String`

Logfile to store certificates status

Default value: `'/var/log/certificate-checker.jsonl'`

##### <a name="-certificate_checker--ensure"></a>`ensure`

Data type: `String`



Default value: `'installed'`

##### <a name="-certificate_checker--ignore_nonexistent"></a>`ignore_nonexistent`

Data type: `Boolean`

Ignore non-existent files. Requires certificate-checker 1.2+

Default value: `false`

##### <a name="-certificate_checker--hour"></a>`hour`

Data type: `Any`



Default value: `'*/4'`

##### <a name="-certificate_checker--minute"></a>`minute`

Data type: `Any`



Default value: `fqdn_rand(60)`

##### <a name="-certificate_checker--month"></a>`month`

Data type: `Any`



Default value: `undef`

##### <a name="-certificate_checker--monthday"></a>`monthday`

Data type: `Any`



Default value: `undef`

##### <a name="-certificate_checker--weekday"></a>`weekday`

Data type: `Any`



Default value: `undef`

##### <a name="-certificate_checker--user"></a>`user`

Data type: `Optional[String]`

User to check certificates status as

Default value: `undef`

##### <a name="-certificate_checker--group"></a>`group`

Data type: `Optional[String]`

Group to check certificates status as

Default value: `undef`

## Defined types

### <a name="certificate_checker--watch"></a>`certificate_checker::watch`

Add certificates to monitor

#### Parameters

The following parameters are available in the `certificate_checker::watch` defined type:

* [`paths`](#-certificate_checker--watch--paths)

##### <a name="-certificate_checker--watch--paths"></a>`paths`

Data type: `Variant[Array[Stdlib::Absolutepath], Stdlib::Absolutepath]`

Paths to certificates to monitor

Default value: `$title`

## Functions

### <a name="certificate_checker--watched_paths"></a>`certificate_checker::watched_paths`

Type: Puppet Language

Extract watched paths from PuppetDB

#### `certificate_checker::watched_paths()`

The certificate_checker::watched_paths function.

Returns: `Array[Stdlib::Absolutepath]` An array of paths

